DOMBuilder (JDOM v1.1.1)
Date: 2016-03-09

org.jdom.input

## Class DOMBuilder

- java.lang.Object
- - org.jdom.input.DOMBuilder

-     public class DOMBuilder
      extends java.lang.Object

  Builds a JDOM `org.jdom.Document` from a pre-existing DOM `org.w3c.dom.Document`. Also handy for testing builds from files to sanity check `SAXBuilder`.
  Version:
    $Revision: 1.60 $, $Date: 2007/11/10 05:29:00 $
  Author:
    Brett McLaughlin, Jason Hunter, Philip Nelson, Kevin Regan, Yusuf Goolamabbas, Dan Schaffer, Bradley S. Huffman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMBuilder()` This creates a new DOMBuilder which will attempt to first locate a parser via JAXP, then will try to use a set of default parsers.
    `DOMBuilder(java.lang.String adapterClass)` This creates a new DOMBuilder using the specified DOMAdapter implementation as a way to choose the underlying parser.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `build(org.w3c.dom.Document domDocument)` This will build a JDOM tree from an existing DOM tree.
    `Element` | `build(org.w3c.dom.Element domElement)` This will build a JDOM Element from an existing DOM Element
    `JDOMFactory` | `getFactory()` Returns the current `JDOMFactory` in use.
    `void` | `setFactory(JDOMFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMBuilder

          public DOMBuilder()

      This creates a new DOMBuilder which will attempt to first locate a parser via JAXP, then will try to use a set of default parsers. The underlying parser will not validate.

    - #### DOMBuilder

          public DOMBuilder(java.lang.String adapterClass)

      This creates a new DOMBuilder using the specified DOMAdapter implementation as a way to choose the underlying parser. The underlying parser will not validate.
      Parameters:
        `adapterClass` - `String` name of class to use for DOM building.

  - ### Method Detail

    - #### setFactory

          public void setFactory(JDOMFactory factory)

    - #### getFactory

          public JDOMFactory getFactory()

      Returns the current `JDOMFactory` in use.
      Returns:
        the factory in use

    - #### build

          public Document build(org.w3c.dom.Document domDocument)

      This will build a JDOM tree from an existing DOM tree.
      Parameters:
        `domDocument` - `org.w3c.dom.Document` object
      Returns:
        `Document` - JDOM document object.

    - #### build

          public Element build(org.w3c.dom.Element domElement)

      This will build a JDOM Element from an existing DOM Element
      Parameters:
        `domElement` - `org.w3c.dom.Element` object
      Returns:
        `Element` - JDOM Element object

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.